nelmio_api_doc:
    documentation:
        info:
            title: C-Rent Rental Api
            description: "This is the C-Rent Rental Api."
            version: '%env(VERSION)%'
        securityDefinitions:
            Authcode:
                type: apiKey
                name: authcode
                in: header
        security:
            -   Authcode: [ ]
    models:
        use_jms: true
        names:
            - { alias: Availability, type: App\VehicleGroup\Entity\Availability, groups: [ RentalApi ] }
            - { alias: AvailabilityPlan, type: App\VehicleGroup\Entity\AvailabilityPlan, groups: [ RentalApi ] }
            - { alias: Booking, type: App\Booking\Entity\Booking, groups: [ RentalApi ] }
            - { alias: BookingRequestType, type: App\Booking\Entity\BookingRequestType, groups: [ RentalApi ] }
            - { alias: PaymentMethods, type: App\Payment\Entity\PaymentMethods, groups: [ RentalApi ] }
            - { alias: Parameter, type: App\Configuration\Entity\Parameter, groups: [ RentalApi ] }
            - { alias: Module, type: App\Configuration\Entity\Module, groups: [ RentalApi ] }
            - { alias: Customer, type: App\Customer\Entity\Customer, groups: [ RentalApi ] }
            - { alias: Country, type: App\Customer\Entity\Country, groups: [ RentalApi ] }
            - { alias: CustomerOrigin, type: App\Customer\Entity\CustomerOrigin, groups: [ RentalApi ] }
            - { alias: Salutation, type: App\Customer\Entity\Salutation, groups: [ RentalApi ] }
            - { alias: Group, type: App\VehicleGroup\Entity\Group, groups: [ RentalApi ] }
            - { alias: GroupImage, type: App\VehicleGroup\Entity\GroupImage, groups: [ RentalApi ] }
            - { alias: Category, type: App\VehicleGroup\Entity\Category, groups: [ RentalApi ] }
            - { alias: Feature, type: App\VehicleGroup\Entity\Feature, groups: [ RentalApi ] }
            - { alias: Currency, type: App\Price\Entity\Currency, groups: [ RentalApi ] }
            - { alias: InvoicePosition, type: App\Price\Entity\InvoicePosition, groups: [ RentalApi ] }
            - { alias: RateCategory, type: App\Price\Entity\RateCategory, groups: [ RentalApi ] }
            - { alias: Station, type: App\Station\Entity\Station, groups: [ RentalApi ] }
            - { alias: OpentimeConfiguration, type: App\Station\Entity\OpentimeConfiguration, groups: [ RentalApi ] }
            - { alias: GroupFeatures, type: App\VehicleGroup\Entity\GroupFeatures, groups: [ RentalApi ] }
            - { alias: CustomerCredentials, type: App\Customer\Entity\CustomerCredentials, groups: [ RentalApi ] }
            - { alias: PaymentProvider, type: App\Payment\Entity\PaymentProvider, groups: [ RentalApi ] }
            - { alias: Translation, type: App\Configuration\Entity\Translation, groups: [ RentalApi ] }
            - { alias: Vehicle, type: App\Vehicle\Entity\Vehicle, groups: [ RentalApi ] }
            - { alias: Document, type: App\Customer\Entity\Document, groups: [ RentalApi ] }
            - { alias: ConfigurationImage, type: App\Configuration\Entity\ConfigurationImage, groups: [ RentalApi ] }
            - { alias: ConfigurationInputField, type: App\Configuration\Entity\InputField, groups: [ RentalApi ] }
            - { alias: VehicleMonthPrice, type: App\Vehicle\Entity\VehicleMonthPrice, groups: [ RentalApi ] }
            - { alias: DistancePackagePrice, type: App\Vehicle\Entity\DistancePackagePrice, groups: [ RentalApi ] }
            - { alias: VehicleEquipment, type: App\Vehicle\Entity\VehicleEquipment, groups: [ RentalApi ] }
            - { alias: VehicleImage, type: App\Vehicle\Entity\VehicleImage, groups: [ RentalApi ] }
            - { alias: Manufacturer, type: App\Vehicle\Entity\Manufacturer, groups: [ RentalApi ] }
            - { alias: Opentime, type: App\Station\Entity\Opentime, groups: [ RentalApi ] }
            - { alias: Language, type: App\Configuration\Entity\Language, groups: [ RentalApi ] }
            - { alias: FleetShippingAddress, type: App\Vehicle\Entity\Language, groups: [ RentalApi ] }

    areas: # to filter documented areas
        default:
            path_patterns: [ ^/api ]
